Subject: RE: MPLS/BGP VPNs - Bandwith Reservation

From: "Metz, E.T." <[email-masked]>
Date: Wed, 04 Oct 2000 09:30:23 +0100

To reserve bandwidth between the CEs in the VPN you could create a TE path
(with BW resv) between the interfaces that are used for the iBGP session
between the PE, probably some logical interface in the routers (e.g. the
loopback). This will cause the VPN traffic to be routed over the TE path.

However, this applies to all VPN traffic between these PEs, so it is not
exclusive to a particular VPN. Even regular IPv4 traffic with the same BGP
next-hop will go over this TE path.

If you have multiple classess, I assume you mean a DIFFSERV alike situation.
First of all you should mark the VPN traffic according to these classes. To
reserve BW for eahc class, probably a TE path needs to be established
between the PEs for each class. To map the traffic to the right TE LSP, the
FEC should include the DIFFSERV class (encoded in the EXP field of the MPLS
header).

Hope this helps.

cheers,
	Eduard

> -----Original Message-----
> From: Jesus Rodriguez Stuart [mailto:[email-masked]]
> Sent: woensdag 4 oktober 2000 4:59
> To: Metz, E.T.
> Cc: 'GUESDON Herve FTRD/DAC/ISS'; 'S.Matsushima'; [email-masked];
> [email-masked]
> Subject: MPLS/BGP VPNs - Bandwith Reservation
> 
> 
> 
> Sirs
> 
> Question in MPLS/BGP VPN context::
> If I have 2 PEs  with 10 CEs  in one of them and 20 in the 
> other. All of CEs
> belong to a same IP-VPN.  How can I Reserve Bandwith between 
> the two PEs for
> this IP-VPN, also How can I reserve Bandwith for diferent 
> class of service
> (Premium, Standard) between the PEs for the IP-VPN.
> The same question If we have many VPNs .
> 
> Thanks in advance
> 
> JRSTUART
> Jesus Rodriguez Stuart
> Network Planning
> Telefonica del Peru
> 51-1-2104835
> 
> 
>